---
title: 集群经济学
---

**根据实际情况，规则可能发生变化。 请在Solana论坛上关注最近的经济讨论：https://forums.Solana.com。**

Solana的加密经济系统旨在促进健康、长期的自给经济，参与者的激励机制与网络的安全性和去中心化保持一致。 这个经济的主要参与者是验证客户端。 下面讨论他们对网络、状态验证的贡献及其必要的激励机制。

参与者汇兑的主要渠道被称为基于协议(通货膨胀) 的奖励和交易费用。 基于协议的奖励是由一个全球的、协议定义的、通货膨胀率发行的。 这些奖励将构成交付给验证客户的总奖励，剩余的来源于交易费用。 在网络的早期，基于协议的奖励很可能会根据预定义的发行时间表进行部署，将推动大多数参与者参与网络的动机。

这些基于协议的奖励，将在网络上的主动质押代币中分配，将是全球供应膨胀率的结果，按Solana纪元计算，并在活跃的验证者集中分配。 如下文所讨论的那样，每年的通货膨胀率是基于一个预先确定的去通货膨胀时间表。 这为网络提供了货币供应的可预测性，支持长期的经济稳定和安全。

交易费用是以市场为基础的参与者之间的转移，附加在网络互动中，作为纳入和执行一项拟议交易的必要动机和补偿。 下文还将讨论通过对每笔交易费进行部分销毁来实现长期经济稳定和分叉保护的机制。

下文**图1**为Solana加密经济设计的高层示意图。 验证客户端经济的具体细节在以下章节中作了介绍： [验证客户端经济学](ed_validation_client_economics/ed_vce_overview.md)，[通货膨胀计划](ed_validation_client_economics/ed_vce_state_validation_protocol_based_rewards.md) 以及 [交易费](ed_validation_client_economics/ed_vce_state_validation_transaction_fees.md)。 另外，在标题为[验证质押委托](ed_validation_client_economics/ed_vce_validation_stake_delegation.md)的章节，最后还讨论了验证节点委托的机会和市场。 此外，在[存储租金经济学](ed_storage_rent_economics.md)中，我们描述了存储租金的实现，以说明维持账本活跃状态的外部性成本。 [经济设计MVP](ed_mvp.md)章节讨论了MVP经济设计的特征概要。

![](/img/economic_design_infl_230719.png)

**图1**: Solana 经济奖励设计的简明概述。
